package com.omertron.thetvdbapi.model;

import java.io.Serializable;

import org.apache.commons.lang3.builder.EqualsBuilder;
import org.apache.commons.lang3.builder.HashCodeBuilder;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class Language implements Serializable {

	// Default serial UID
	private static final long serialVersionUID = 1L;
	private String name;
	private String abbreviation;
	private String id;

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAbbreviation() {
		return abbreviation;
	}

	public void setAbbreviation(String abbreviation) {
		this.abbreviation = abbreviation;
	}

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this, ToStringStyle.SHORT_PREFIX_STYLE);
	}

	@Override
	public int hashCode() {
		return new HashCodeBuilder()
				.append(id)
				.append(name)
				.append(abbreviation)
				.toHashCode();
	}

	@Override
	public boolean equals(Object obj) {
		if (obj instanceof Language) {
			final Language other = (Language) obj;
			return new EqualsBuilder()
					.append(id, other.id)
					.append(name, other.name)
					.append(abbreviation, other.abbreviation)
					.isEquals();
		} else {
			return false;
		}
	}
}
